V9.0
get
/ec-designer-svc/rest/v9.0/studies/{studyId}/versions/{version}/kits/{kitId}
Retrieves one kit definition from the specified study version. The kitId path parameter identifies the kit, and the response includes kit settings, unit settings, dosing details, titration settings, advanced dosing groups, and validation details when present.
Request
Path Parameters
-
kitId(required): string
Kit ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
7A4D3C2B1E8F4D56A23C9F3A0C7D4E22 -
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E -
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
Query Parameters
-
kitType: string
Kit type filter. Optional. Accepted values include STANDARD, TITRATION, ALL, and DEVICE.Example:
ALL
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : KitDto v9.0
Type:
objectTitle:
KitDto v9.0Kit details.
Show Source
-
advancedDosing: integer
(int32)
-
advancedDosingGroups: array
advancedDosingGroups
-
dosage: number
(double)
Dosage.Example:
50 -
dosings: array
dosings
-
exceptions: array
exceptions
-
id: string
(uuid)
-
isDefault: boolean
Is kit default.Example:
true -
kitid: string
(uuid)
Kit GUID
-
kitSettings: object
KitSettingsDto v8.0
Title:
KitSettingsDto v8.0Contains settings information on the kit. -
kitTitrations: array
kitTitrations
-
kitUnitSettings: object
KitUnitSettingsDto v8.0
Title:
KitUnitSettingsDto v8.0Contains unit settings information on the kit. -
libraryKitId: string
(uuid)
Library Kit GUID
-
poolingId: string
Pooling Kit IDExample:
POL12 -
studyId: string
(uuid)
Study GUID
-
studyVersionEnd: string
(date-time)
Study version end
-
studyVersionStart: string
(date-time)
Study version start
-
versionEnd: string
(date-time)
Version End
-
versionStart: string
(date-time)
Version Start dateExample:
2018-11-23T08:43:01.7Z
Nested Schema : advancedDosingGroups
Type:
Show Source
array-
Array of:
object Advanced Dosing Group v1.0
Title:
Advanced Dosing Group v1.0Advanced Dosing Group details
Nested Schema : dosings
Type:
Show Source
array-
Array of:
object KitDosingDto v8.0
Title:
KitDosingDto v8.0Information on a calculated dose.
Nested Schema : exceptions
Type:
Show Source
array-
Array of:
object KitTitrationsDto v8.0
Title:
KitTitrationsDto v8.0Contains titrations information on the titration kit.
Nested Schema : KitSettingsDto v8.0
Type:
objectTitle:
KitSettingsDto v8.0Contains settings information on the kit.
Show Source
-
bufferdays: integer
(int64)
The number of buffer daysExample:
5 -
calculatingDoses: boolean
Indicates if the kit has calculating dosesExample:
true -
deviceConn: string
Indicates device connection in case of device kitExample:
Cloud to Cloud -
deviceType: string
Indicates type of device in case of device kitExample:
Blood pressure monitor -
dispenseOnHighestDose: boolean
Indicates if dispensation should happen on up titrate when already on highest doseExample:
true -
dispenseOnHighestDoseMsg: string
Message to user on up titrate when subject is on highest doseExample:
Message when subject is on highest dose -
dispenseOnLowestDose: boolean
Indicates if dispensation should happen on down titrate when already on lowest doseExample:
true -
dispenseOnLowestDoseMsg: string
Message to user on down titrate when subject is on lowest doseExample:
Message when subject is on lowest dose -
dispenseOutsideWindow: boolean
Indicates if the kit may be dispensed outside the windowExample:
false -
distributionSetting: string
Indicates if the kit blinded or unblindedExample:
BLINDED -
doseChangeUnschVisit: boolean
Indicates if dosage change is allowed in an unscheduled visit for the titration kitExample:
false -
dosingFrequency: boolean
Indicates if the titration kit has dosing frequencies definedExample:
true -
downTitrateDose: integer
(int64)
The maximum number of down titrate dosage change allowed for the titration kitExample:
2 -
downTitrateDoseUnscheduled: integer
(int64)
The maximum number of down titrate dosage change allowed for the titration kit for unscheduled visitsExample:
2 -
kitDescription: string
The kit descriptionExample:
ORS-123(IP 0.01%) -
kitTypeId: string
The kit type idExample:
Type -
maxDoseChanges: integer
(int64)
The maximum number of dosage changes allowed for the titration kitExample:
3 -
minShipUnits: integer
(int64)
The minimum kit to shipExample:
10 -
storageSetting: string
The storage temperatureExample:
AMBIENT -
timeBetweenDownDoseChanges: integer
(int64)
Time between down dosage changesExample:
20 -
timeBetweenDownDoseChangesException: boolean
(true)
Time between down dosage changes exceptionExample:
true -
timeBetweenDownDoseChangesUnit: string
Unit for time between down dosage changesExample:
DAYS -
timeBetweenUpDoseChanges: integer
(int64)
Time between up dosage changesExample:
20 -
timeBetweenUpDoseChangesException: boolean
(true)
Time between up dosage changes exceptionExample:
true -
timeBetweenUpDoseChangesUnit: string
Unit for time between up dosage changesExample:
DAYS -
titratingDoses: boolean
Indicates if the kit has titrating dosesExample:
true -
titrationKit: boolean
Indicates if the kit is a titration kitExample:
true -
totalDoseUnscheduled: integer
(int64)
The maximum number of dosage changes allowed for the titration kit for unscheduled visitsExample:
3 -
trialSupplyType: string
The kit typeExample:
BOTTLE -
upTitrateDose: integer
(int64)
The maximum number of up titrate dosage change allowed for the titration kitExample:
1 -
upTitrateDoseUnscheduled: integer
(int64)
The maximum number of up titrate dosage change allowed for the titration kit for unscheduled visitsExample:
1
Nested Schema : kitTitrations
Type:
Show Source
array-
Array of:
object KitTitrationsDto v8.0
Title:
KitTitrationsDto v8.0Contains titrations information on the titration kit.
Nested Schema : KitUnitSettingsDto v8.0
Type:
objectTitle:
KitUnitSettingsDto v8.0Contains unit settings information on the kit.
Show Source
-
singleUnitDose: object
KitDosingValueUnitsDto v8.0
Title:
KitDosingValueUnitsDto v8.0Describes the value/unit pair of the measurement on the calculated dose. -
unitsPerKit: number
(double)
The number of units per kitExample:
20
Nested Schema : Advanced Dosing Group v1.0
Type:
objectTitle:
Advanced Dosing Group v1.0Advanced Dosing Group details
Show Source
-
Group criteria: array
Group criteria
Group criteria
-
Group name: string
Group nameExample:
Group A -
id: string
(uuid)
Advanced dosing group GUID
-
Instructions: string
InstructionsExample:
Group amndatory details should be provided -
Kit settings: array
Kit settings
Kit settings
Nested Schema : Group criteria
Type:
arrayGroup criteria
Show Source
-
Array of:
object Advanced Dosing Group Criteria v1.0
Title:
Advanced Dosing Group Criteria v1.0Advanced Dosing Group Criteria details
Nested Schema : Kit settings
Type:
arrayKit settings
Show Source
-
Array of:
object Advanced Dosing Kit Settings v1.0
Title:
Advanced Dosing Kit Settings v1.0Advanced Dosing Kit Settings details
Nested Schema : Advanced Dosing Group Criteria v1.0
Type:
objectTitle:
Advanced Dosing Group Criteria v1.0Advanced Dosing Group Criteria details
Show Source
-
Answer: array
Answer
Answer for choice question name
-
Criteria type value: string
Allowed Values:
[ "Question", "Dates", "Cohort", "Treatment Arm", "invalid" ]Criteria type valueExample:Variable -
Date Value: string
Date Value for variableExample:
2023-03-15 -
Form name: string
Form nameExample:
Demographics -
formId: string
(uuid)
Form GUID
-
id: string
(uuid)
Group Criteria GUID
-
Question name: string
Question nameExample:
Gender -
questionId: string
(uuid)
Question GUID
-
rule: object
Advanced Dosing Rule v1.0
Title:
Advanced Dosing Rule v1.0Advanced Dosing rule details -
timePeriod: string
Timeframe for variableExample:
Before -
Variable type value: string
Variable type valueExample:
System Screening Date -
variableId: string
(uuid)
Variable codelist GUID
-
Visit name: string
Visit nameExample:
Screening -
visitId: string
(uuid)
Visit GUID
Nested Schema : Answer
Type:
arrayAnswer for choice question name
Show Source
-
Array of:
object Generic Attribute v1.0
Title:
Generic Attribute v1.0Generic attribute name, value and label details
Example:
FemaleNested Schema : Advanced Dosing Rule v1.0
Type:
objectTitle:
Advanced Dosing Rule v1.0Advanced Dosing rule details
Show Source
-
id: string
(uuid)
Rule Unique GUID
-
lower: object
RangeRuleValues
Range rule upper boundary details
-
Rule value: string
Rule valueExample:
2 -
Rule value list: string
Rule value list
-
ruleName: string
Rule nameExample:
Greater Than Or Equal To -
upper: object
RangeRuleValues
Range rule upper boundary details
Nested Schema : Generic Attribute v1.0
Type:
objectTitle:
Generic Attribute v1.0Generic attribute name, value and label details
Show Source
-
label: string
Attribute labelExample:
Cohort1 -
value: string
Attribute value. For example, Cohort1 UUIDExample:
B1B8327AFAA6412287106192AB5984EF
Example:
FemaleNested Schema : RangeRuleValues
Type:
objectRange rule upper boundary details
Show Source
-
inclusive: boolean
Flag that indicates whether boundary condition value is inclusive while considerationExample:
true -
value: string
Boundary value for rangeExample:
1
Nested Schema : Advanced Dosing Kit Settings v1.0
Type:
objectTitle:
Advanced Dosing Kit Settings v1.0Advanced Dosing Kit Settings details
Show Source
-
Dosing Label: string
Dosing LabelExample:
Dose3 -
dosingId: string
(uuid)
Dosing GUID
-
dosings: array
dosings
Calculated dosing definitions for the kit
-
id: string
(uuid)
Kits settings GUID
-
Kit name: string
Kit nameExample:
Kit a -
kitid: string
(uuid)
Kit GUID
-
kitUnitSettings: object
KitUnitSettingsDto v10.0
Title:
KitUnitSettingsDto v10.0Contains unit settings information on the kit. -
quantity: integer
(int64)
Kit quantity or dose.Example:
1
Nested Schema : dosings
Type:
arrayCalculated dosing definitions for the kit
Show Source
-
Array of:
object KitDosingDto v10.0
Title:
KitDosingDto v10.0Information on a calculated dose.
Nested Schema : KitUnitSettingsDto v10.0
Type:
objectTitle:
KitUnitSettingsDto v10.0Contains unit settings information on the kit.
Show Source
-
singleUnitDose: object
KitDosingValueUnitsDto v10.0
Title:
KitDosingValueUnitsDto v10.0Describes the value/unit pair of the measurement on the calculated dose. -
unitsPerKit: number
(double)
The number of units per kitExample:
20
Nested Schema : KitDosingDto v10.0
Type:
objectTitle:
KitDosingDto v10.0Information on a calculated dose.
Show Source
-
dose: object
KitDosingDoseDto v10.0
Title:
KitDosingDoseDto v10.0Dose information on the calculated dose. -
id: string
(uuid)
Dosing GUID
-
measurement: object
KitDosingMeasurementDto v10.0
Title:
KitDosingMeasurementDto v10.0Kit and subject measurement information on a calculated dose. -
name: string
Dosing display nameExample:
Name -
question: object
KitDosingQuestionDto v10.0
Title:
KitDosingQuestionDto v10.0Form and question information on the calculated dose. -
visit: object
KitDosingVisitDto v10.0
Title:
KitDosingVisitDto v10.0Visit information on the calculated dose.
Nested Schema : KitDosingDoseDto v10.0
Type:
objectTitle:
KitDosingDoseDto v10.0Dose information on the calculated dose.
Show Source
-
frequency: string
Dosing frequencyExample:
Before bedtime -
leftOverUnits: boolean
Use leftover units in next doseExample:
true -
precision: integer
(int32)
-
roundUp: integer
(int32)
Rounded up for dosing calculationExample:
1
Nested Schema : KitDosingMeasurementDto v10.0
Type:
objectTitle:
KitDosingMeasurementDto v10.0Kit and subject measurement information on a calculated dose.
Show Source
-
kit: object
KitDosingValueUnitsDto v10.0
Title:
KitDosingValueUnitsDto v10.0Describes the value/unit pair of the measurement on the calculated dose. -
subject: object
KitDosingValueUnitsDto v10.0
Title:
KitDosingValueUnitsDto v10.0Describes the value/unit pair of the measurement on the calculated dose.
Nested Schema : KitDosingQuestionDto v10.0
Type:
objectTitle:
KitDosingQuestionDto v10.0Form and question information on the calculated dose.
Show Source
-
formId: string
(uuid)
The form Id
-
itemId: string
(uuid)
The question Id
Nested Schema : KitDosingVisitDto v10.0
Type:
objectTitle:
KitDosingVisitDto v10.0Visit information on the calculated dose.
Show Source
-
id: string
(uuid)
The visit Id
-
type: string
The type of visit, eg. screening, scheduled, or currentExample:
screening
Nested Schema : KitDosingValueUnitsDto v10.0
Type:
objectTitle:
KitDosingValueUnitsDto v10.0Describes the value/unit pair of the measurement on the calculated dose.
Show Source
-
units: string
The unit of a measurementExample:
mg -
value: number
(double)
The value of a measurementExample:
50
Nested Schema : KitDosingDto v8.0
Type:
objectTitle:
KitDosingDto v8.0Information on a calculated dose.
Show Source
-
dose: object
KitDosingDoseDto v8.0
Title:
KitDosingDoseDto v8.0Dose information on the calculated dose. -
id: string
(uuid)
Dosing GUID
-
measurement: object
KitDosingMeasurementDto v8.0
Title:
KitDosingMeasurementDto v8.0Kit and subject measurement information on a calculated dose. -
name: string
Dosing display nameExample:
Name -
question: object
KitDosingQuestionDto v8.0
Title:
KitDosingQuestionDto v8.0Form and question information on the calculated dose. -
visit: object
KitDosingVisitDto v8.0
Title:
KitDosingVisitDto v8.0Visit information on the calculated dose.
Nested Schema : KitDosingDoseDto v8.0
Type:
objectTitle:
KitDosingDoseDto v8.0Dose information on the calculated dose.
Show Source
-
frequency: string
Dosing frequencyExample:
Before bedtime -
leftOverUnits: boolean
Use leftover units in next doseExample:
true -
precision: integer
(int32)
-
roundUp: integer
(int32)
Rounded up for dosing calculationExample:
1
Nested Schema : KitDosingMeasurementDto v8.0
Type:
objectTitle:
KitDosingMeasurementDto v8.0Kit and subject measurement information on a calculated dose.
Show Source
-
kit: object
KitDosingValueUnitsDto v8.0
Title:
KitDosingValueUnitsDto v8.0Describes the value/unit pair of the measurement on the calculated dose. -
subject: object
KitDosingValueUnitsDto v8.0
Title:
KitDosingValueUnitsDto v8.0Describes the value/unit pair of the measurement on the calculated dose.
Nested Schema : KitDosingQuestionDto v8.0
Type:
objectTitle:
KitDosingQuestionDto v8.0Form and question information on the calculated dose.
Show Source
-
formId: string
(uuid)
The form Id
-
itemId: string
(uuid)
The question Id
Nested Schema : KitDosingVisitDto v8.0
Type:
objectTitle:
KitDosingVisitDto v8.0Visit information on the calculated dose.
Show Source
-
id: string
(uuid)
The visit Id
-
type: string
The type of visit, eg. screening, scheduled, or currentExample:
screening
Nested Schema : KitDosingValueUnitsDto v8.0
Type:
objectTitle:
KitDosingValueUnitsDto v8.0Describes the value/unit pair of the measurement on the calculated dose.
Show Source
-
units: string
The unit of a measurementExample:
mg -
value: number
(double)
The value of a measurementExample:
50
Nested Schema : KitTitrationsDto v8.0
Type:
objectTitle:
KitTitrationsDto v8.0Contains titrations information on the titration kit.
Show Source
-
downTitrationKitJson: object
TitrationKitItemsDto v8.0
Title:
TitrationKitItemsDto v8.0Titration Kit Items -
maintainTitrationKitJson: object
TitrationKitItemsDto v8.0
Title:
TitrationKitItemsDto v8.0Titration Kit Items -
rowId: string
(uuid)
Id of the titration row
-
titrationKitId: string
(uuid)
Id of the current titration kit
-
titrationKitJson: object
TitrationKitItemsDto v8.0
Title:
TitrationKitItemsDto v8.0Titration Kit Items -
titrationKitLabel: string
Custom optional Dose Level title to indicate a dose level for a row within a Titration GroupExample:
Low Dose -
titrationKitSeq: integer
(int64)
Sequence number of the current titration row within the kitExample:
5 -
upTitrationKitJson: object
TitrationKitItemsDto v8.0
Title:
TitrationKitItemsDto v8.0Titration Kit Items
Nested Schema : TitrationKitItemsDto v8.0
Type:
objectTitle:
TitrationKitItemsDto v8.0Titration Kit Items
Show Source
Nested Schema : titrationKitItems
Type:
Show Source
array-
Array of:
object TitrationKitItemDto v8.0
Title:
TitrationKitItemDto v8.0Titration Kit Item
Nested Schema : TitrationKitItemDto v8.0
Type:
objectTitle:
TitrationKitItemDto v8.0Titration Kit Item
Show Source
-
dosageId: string
Dosage IdExample:
B1B8327AFAA6412287106192AB5984EF -
kitDosage: string
Kit DosageExample:
QD -
kitid: string
(uuid)
Kit GUID
-
kitSeq: integer
(int64)
Kit SequenceExample:
1
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}